Schema sc-3.0.xsd

schema location: | C:\Documents and Settings\gmehta\Desktop\sc-3.0.1.xsd
targetNamespace: | http://pegasus.isi.edu/schema/sitecatalog

Elements | Complex types | Simple types | Attr. groups
sitecatalog | DirectoryType | ArchitectureType | SystemInformationGroup
| FileServerType | GridType |
| FileSystemType | JobType |
| StorageType | OSType |
|  | ProfileNamespace |
|  | SchedulerType |

element sitecatalog

diagram |
children | site

attributes

Name | Type | Use | Default | Fixed | Annotation
version | xs:decimal | optional | 3.0 |  |

annotation

documentation

    root element aggregating all sites information there is.

element sitecatalog/site

diagram |
children | grid head-fs worker-fs replica-catalog profile

attributes

Name | Type | Use | Default | Fixed | Annotation
handle | xs:ID | required |  |  |
arch | ArchitectureType | optional | x86 |  |
os | OSType | optional | LINUX |  |
osrelease | xs:string | optional |  |  |
osversion | xs:string | optional |  |  |
glibc | xs:string | optional |  |  |

annotation

documentation

    Describes a single site

element sitecatalog/site/grid

diagram |

attributes

Name | Type | Use | Default | Fixed | Annotation

type

GridType

required

documentation

    The universe name is actually the primary key for the jobmanager identification.

contact

xs:string

required

documentation

    The contact string is the secondary key for any job manager.

scheduler | SchedulerType | required |  |  |
jobtype | JobType | optional |  |  |
free-mem | xs:string | optional |  |  |
total-mem | xs:string | optional |  |  |
max-count | xs:string | optional |  |  |
max-cpu-time | xs:string | optional |  |  |
running-jobs | xs:nonNegativeInteger | optional |  |  |
jobs-in-queue | xs:nonNegativeInteger | optional |  |  |
idle-nodes | xs:nonNegativeInteger | optional |  |  |
total-nodes | xs:nonNegativeInteger | optional |  |  |
arch | ArchitectureType | optional | x86 |  |
os | OSType | optional | LINUX |  |
osrelease | xs:string | optional |  |  |
osversion | xs:string | optional |  |  |
glibc | xs:string | optional |  |  |

annotation

documentation

    Each site supports various (usually two) jobmanagers.

element sitecatalog/site/head-fs

diagram |
children | scratch storage profile

element sitecatalog/site/head-fs/scratch

diagram |
type | StorageType
children | local shared

element sitecatalog/site/head-fs/storage

diagram |
type | StorageType
children | local shared

element sitecatalog/site/head-fs/profile

diagram |
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | ProfileNamespace | required |  |  |
key | xs:string | required |  |  |

annotation

documentation

    Administrative profile defaults associated with a site.

element sitecatalog/site/worker-fs

diagram |
children | scratch storage profile

element sitecatalog/site/worker-fs/scratch

diagram |
type | extension of StorageType
children | local shared wshared

element sitecatalog/site/worker-fs/scratch/wshared

diagram |
type | DirectoryType
children | file-server internal-mount-point

annotation

documentation

    Information about the shared directory on the Worker Nodes

element sitecatalog/site/worker-fs/storage

diagram |
type | extension of StorageType
children | local shared wshared

element sitecatalog/site/worker-fs/storage/wshared

diagram |
type | DirectoryType
children | file-server internal-mount-point

annotation

documentation

    Information about the shared directory on the Worker Nodes

element sitecatalog/site/worker-fs/profile

diagram |
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | ProfileNamespace | required |  |  |
key | xs:string | required |  |  |

annotation

documentation

    Administrative profile defaults associated with a site.

element sitecatalog/site/replica-catalog

diagram |
children | alias connection

attributes

Name | Type | Use | Default | Fixed | Annotation
type | xs:string | required |  |  |
url | xs:string | required |  |  |

annotation

documentation

    Each site may report to multiple LRCs.

element sitecatalog/site/replica-catalog/alias

diagram |

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |

element sitecatalog/site/replica-catalog/connection

diagram |
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
key | xs:string | required |  |  |

element sitecatalog/site/profile

diagram |
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | ProfileNamespace | required |  |  |
key | xs:string | required |  |  |

annotation

documentation

    Administrative profile defaults associated with a site.

complexType DirectoryType

diagram |
children | file-server internal-mount-point

used by

elements | StorageType/local StorageType/shared sitecatalog/site/worker-fs/scratch/wshared sitecatalog/site/worker-fs/storage/wshared

annotation

documentation

    Defines a directory's external and internal view/mount-point and access parameters

element DirectoryType/file-server

diagram |
type | FileServerType
children | profile

attributes

Name | Type | Use | Default | Fixed | Annotation
protocol | xs:string | required |  |  |
url | xs:anyURI | required |  |  |
mount-point | xs:string | required |  |  |

element DirectoryType/internal-mount-point

diagram |
type | FileSystemType

attributes

Name | Type | Use | Default | Fixed | Annotation
mount-point | xs:string | required |  |  |
free-size | xs:string | optional |  |  |
total-size | xs:string | optional |  |  |

complexType FileServerType

diagram |
children | profile

used by

element | DirectoryType/file-server

attributes

Name | Type | Use | Default | Fixed | Annotation
protocol | xs:string | required |  |  |
url | xs:anyURI | required |  |  |
mount-point | xs:string | required |  |  |

annotation

documentation

    Describes the fileserver to access data from outside

element FileServerType/profile

diagram |
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
namespace | ProfileNamespace | required |  |  |
key | xs:string | required |  |  |

annotation

documentation

    Administrative profile defaults associated with a site.

complexType FileSystemType

diagram |

used by

element | DirectoryType/internal-mount-point

attributes

Name | Type | Use | Default | Fixed | Annotation
mount-point | xs:string | required |  |  |
free-size | xs:string | optional |  |  |
total-size | xs:string | optional |  |  |

annotation

documentation

    Defines the interal  view/mount point and its characteristics

complexType StorageType

diagram |
children | local shared

used by

elements | sitecatalog/site/head-fs/scratch sitecatalog/site/worker-fs/scratch sitecatalog/site/head-fs/storage sitecatalog/site/worker-fs/storage

annotation

documentation

    Describes the filesystem layout (shared and local) on a site

element StorageType/local

diagram |
type | DirectoryType
children | file-server internal-mount-point

annotation

documentation

    Information about the local directory on a Node

element StorageType/shared

diagram |
type | DirectoryType
children | file-server internal-mount-point

annotation

documentation

    Information about the shared directory on the Cluster

simpleType ArchitectureType

type | restriction of xs:NMTOKENS

used by

attribute | SystemInformationGroup/@arch

facets

enumeration | x86
enumeration | x86_64
enumeration | ppc
enumeration | ppc_64
enumeration | ia64
enumeration | sparcv7
enumeration | sparcv9
enumeration | amd64

annotation

documentation

    Defines the valid architecture types

simpleType GridType

type | restriction of xs:NMTOKEN

used by

attribute | sitecatalog/site/grid/@type

facets

enumeration | gt2
enumeration | gt4
enumeration | gt5
enumeration | condor
enumeration | condor-c
enumeration | pbs
enumeration | lsf

annotation

documentation

    Different Grid Type's Supported by Pegasus

simpleType JobType

type | restriction of xs:NMTOKEN

used by

attribute | sitecatalog/site/grid/@jobtype

facets

enumeration | compute
enumeration | auxillary
enumeration | transfer
enumeration | register
enumeration | cleanup

annotation

documentation

    Type of Jobs in the executable workflow this Grid Supports

simpleType OSType

type | restriction of xs:NMTOKENS

used by

attribute | SystemInformationGroup/@os

facets

enumeration | LINUX
enumeration | SUNOS
enumeration | AIX
enumeration | MACOSX
enumeration | WINDOWS

annotation

documentation

    Defines the valid OS types

simpleType ProfileNamespace

type | restriction of xs:NMTOKEN

used by

attributes | sitecatalog/site/head-fs/profile/@namespace sitecatalog/site/worker-fs/profile/@namespace sitecatalog/site/profile/@namespace FileServerType/profile/@namespace

facets

enumeration | pegasus
enumeration | condor
enumeration | dagman
enumeration | env
enumeration | hints
enumeration | globus

annotation

documentation

    defines the legal namespaces of execution profiles.

simpleType SchedulerType

type | restriction of xs:NMTOKEN

used by

attribute | sitecatalog/site/grid/@scheduler

facets

enumeration | Fork
enumeration | PBS
enumeration | LSF
enumeration | Condor
enumeration | SGE
enumeration | unknown

annotation

documentation

    Different Schedulers on the Grid

attributeGroup SystemInformationGroup

used by

elements | sitecatalog/site/grid sitecatalog/site

attributes

Name | Type | Use | Default | Fixed | Annotation
arch | ArchitectureType | optional | x86 |  |
os | OSType | optional | LINUX |  |
osrelease | xs:string | optional |  |  |
osversion | xs:string | optional |  |  |
glibc | xs:string | optional |  |  |

annotation

documentation

    Defines the attributes to define system information

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy